diff --git a/src/providers/ldap/sdap_async_initgroups.c b/src/providers/ldap/sdap_async_initgroups.c
index e8de8d5..5ea11a0 100644
--- a/src/providers/ldap/sdap_async_initgroups.c
+++ b/src/providers/ldap/sdap_async_initgroups.c
@@ -2063,7 +2063,7 @@ errno_t save_rfc2307bis_user_memberships(
                 tmp_str = sss_tc_fqname(ldap_grouplist, state->dom->names,
                                         state->dom, ldap_grouplist[c]);
                 if (tmp_str == NULL) {
-                    DEBUG(SSSDBG_OP_FAILURE, ("sss_tc_fqname failed.\n"));
+                    DEBUG(SSSDBG_OP_FAILURE, "sss_tc_fqname failed.\n");
                     ret = ENOMEM;
                     goto error;
                 }
@@ -2084,7 +2084,7 @@ errno_t save_rfc2307bis_user_memberships(
         goto error;
     }
 
-    DEBUG(8, ("Updating memberships for %s\n", state->name));
+    DEBUG(8, "Updating memberships for %s\n", state->name);
     ret = sysdb_update_members(state->sysdb, state->dom,
                                state->name, SYSDB_MEMBER_USER,
                                (const char *const *)add_groups,
@@ -2095,7 +2095,7 @@ errno_t save_rfc2307bis_user_memberships(
 
     ret = sysdb_transaction_commit(state->sysdb);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to commit transaction\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to commit transaction\n");
         goto error;
     }
     in_transaction = false;
@@ -2107,7 +2107,7 @@ error:
     if (in_transaction) {
         tret = sysdb_transaction_cancel(state->sysdb);
         if (tret != EOK) {
-            DEBUG(1, ("Failed to cancel transaction\n"));
+            DEBUG(1, "Failed to cancel transaction\n");
         }
     }
     talloc_free(tmp_ctx);
@@ -2155,8 +2155,8 @@ struct tevent_req *rfc2307bis_nested_groups_send(
     struct sdap_rfc2307bis_nested_ctx *state;
 
     DEBUG(SSSDBG_TRACE_INTERNAL,
-          ("About to process %zu groups in nesting level %zu\n",
-           num_groups, nesting));
+          "About to process %zu groups in nesting level %zu\n",
+           num_groups, nesting);
 
     req = tevent_req_create(mem_ctx, &state,
                             struct sdap_rfc2307bis_nested_ctx);
@@ -2186,8 +2186,8 @@ struct tevent_req *rfc2307bis_nested_groups_send(
     state->search_bases = opts->sdom->group_search_bases;
     if (!state->search_bases) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Initgroups nested lookup request "
-               "without a group search base\n"));
+              "Initgroups nested lookup request "
+               "without a group search base\n");
         ret = EINVAL;
         goto done;
     }
@@ -2262,12 +2262,12 @@ static errno_t rfc2307bis_nested_groups_step(struct tevent_req *req)
         goto done;
     }
 
-    DEBUG(SSSDBG_TRACE_LIBS, ("Processing group [%s]\n", state->primary_name));
+    DEBUG(SSSDBG_TRACE_LIBS, "Processing group [%s]\n", state->primary_name);
 
     ret = hash_lookup(state->group_hash, &key, &value);
     if (ret == HASH_SUCCESS) {
-        DEBUG(SSSDBG_TRACE_INTERNAL, ("Group [%s] was already processed, "
-              "taking a shortcut\n", state->primary_name));
+        DEBUG(SSSDBG_TRACE_INTERNAL, "Group [%s] was already processed, "
+              "taking a shortcut\n", state->primary_name);
         state->processed_groups[state->group_iter] =
             talloc_get_type(value.ptr, struct sdap_nested_group);
         talloc_free(key.str);
@@ -2355,9 +2355,9 @@ static errno_t rfc2307bis_nested_groups_next_base(struct tevent_req *req)
     }
 
     DEBUG(SSSDBG_TRACE_FUNC,
-          ("Searching for parent groups of group [%s] with base [%s]\n",
+          "Searching for parent groups of group [%s] with base [%s]\n",
            state->orig_dn,
-           state->search_bases[state->base_iter]->basedn));
+           state->search_bases[state->base_iter]->basedn);
 
     subreq = sdap_get_generic_send(
             state, state->ev, state->opts, state->sh,
@@ -2404,7 +2404,7 @@ static void rfc2307bis_nested_groups_process(struct tevent_req *subreq)
     }
 
     DEBUG(SSSDBG_TRACE_LIBS,
-          ("Found %zu parent groups of [%s]\n", count, state->orig_dn));
+          "Found %zu parent groups of [%s]\n", count, state->orig_dn);
     ngr = state->processed_groups[state->group_iter];
 
     /* Add this batch of groups to the list */
@@ -2433,8 +2433,8 @@ static void rfc2307bis_nested_groups_process(struct tevent_req *subreq)
 
         ngr->ldap_parents[ngr->parents_count] = NULL;
         DEBUG(SSSDBG_TRACE_INTERNAL,
-              ("Total of %zu direct parents after this iteration\n",
-               ngr->parents_count));
+              "Total of %zu direct parents after this iteration\n",
+               ngr->parents_count);
     }
 
     state->base_iter++;
@@ -2535,8 +2535,8 @@ static void rfc2307bis_nested_groups_done(struct tevent_req *subreq)
     ret = rfc2307bis_nested_groups_recv(subreq);
     talloc_zfree(subreq);
     if (ret != EOK) {
-        DEBUG(6, ("rfc2307bis_nested failed [%d][%s]\n",
-                  ret, strerror(ret)));
+        DEBUG(6, "rfc2307bis_nested failed [%d][%s]\n",
+                  ret, strerror(ret));
         tevent_req_error(req, ret);
         return;
     }
@@ -2609,7 +2609,7 @@ struct tevent_req *sdap_get_initgr_send(TALLOC_CTX *memctx,
     char *clean_name;
     bool use_id_mapping;
 
-    DEBUG(9, ("Retrieving info for initgroups call\n"));
+    DEBUG(9, "Retrieving info for initgroups call\n");
 
     req = tevent_req_create(memctx, &state, struct sdap_get_initgr_state);
     if (!req) return NULL;
@@ -2630,7 +2630,7 @@ struct tevent_req *sdap_get_initgr_send(TALLOC_CTX *memctx,
     state->user_search_bases = sdom->user_search_bases;
     if (!state->user_search_bases) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Initgroups lookup request without a user search base\n"));
+              "Initgroups lookup request without a user search base\n");
         ret = EINVAL;
         goto done;
     }
@@ -2714,8 +2714,8 @@ static errno_t sdap_get_initgr_next_base(struct tevent_req *req)
     }
 
     DEBUG(SSSDBG_TRACE_FUNC,
-          ("Searching for users with base [%s]\n",
-           state->user_search_bases[state->user_base_iter]->basedn));
+          "Searching for users with base [%s]\n",
+           state->user_search_bases[state->user_base_iter]->basedn);
 
     subreq = sdap_get_generic_send(
             state, state->ev, state->opts, state->sh,
@@ -2746,7 +2746,7 @@ static void sdap_get_initgr_user(struct tevent_req *subreq)
     const char *cname;
     bool in_transaction = false;
 
-    DEBUG(9, ("Receiving info for the user\n"));
+    DEBUG(9, "Receiving info for the user\n");
 
     ret = sdap_get_generic_recv(subreq, state, &count, &usr_attrs);
     talloc_zfree(subreq);
@@ -2783,7 +2783,7 @@ static void sdap_get_initgr_user(struct tevent_req *subreq)
         }
     } else if (count != 1) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Expected one user entry and got %zu\n", count));
+              "Expected one user entry and got %zu\n", count);
         tevent_req_error(req, EINVAL);
         return;
     }
@@ -2792,12 +2792,12 @@ static void sdap_get_initgr_user(struct tevent_req *subreq)
 
     ret = sysdb_transaction_start(state->sysdb);
     if (ret) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to start transaction\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to start transaction\n");
         goto fail;
     }
     in_transaction = true;
 
-    DEBUG(9, ("Storing the user\n"));
+    DEBUG(9, "Storing the user\n");
 
     ret = sdap_save_user(state, state->sysdb,
                          state->opts, state->dom,
@@ -2807,11 +2807,11 @@ static void sdap_get_initgr_user(struct tevent_req *subreq)
         goto fail;
     }
 
-    DEBUG(9, ("Commit change\n"));
+    DEBUG(9, "Commit change\n");
 
     ret = sysdb_transaction_commit(state->sysdb);
     if (ret) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to commit transaction\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to commit transaction\n");
         goto fail;
     }
     in_transaction = false;
@@ -2819,12 +2819,12 @@ static void sdap_get_initgr_user(struct tevent_req *subreq)
     ret = sysdb_get_real_name(state, state->sysdb,
                               state->dom, state->name, &cname);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Cannot canonicalize username\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Cannot canonicalize username\n");
         tevent_req_error(req, ret);
         return;
     }
 
-    DEBUG(9, ("Process user's groups\n"));
+    DEBUG(9, "Process user's groups\n");
 
     switch (state->opts->schema_type) {
     case SDAP_SCHEMA_RFC2307:
@@ -2909,7 +2909,7 @@ fail:
     if (in_transaction) {
         sret = sysdb_transaction_cancel(state->sysdb);
         if (sret != EOK) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to cancel transaction\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Failed to cancel transaction\n");
         }
     }
     tevent_req_error(req, ret);
@@ -2931,7 +2931,7 @@ static void sdap_get_initgr_done(struct tevent_req *subreq)
     char *group_sid_str;
     struct sdap_options *opts = state->opts;
 
-    DEBUG(9, ("Initgroups done\n"));
+    DEBUG(9, "Initgroups done\n");
 
     tmp_ctx = talloc_new(NULL);
     if (!tmp_ctx) {
@@ -2971,8 +2971,8 @@ static void sdap_get_initgr_done(struct tevent_req *subreq)
 
     talloc_zfree(subreq);
     if (ret) {
-        DEBUG(9, ("Error in initgroups: [%d][%s]\n",
-                  ret, strerror(ret)));
+        DEBUG(9, "Error in initgroups: [%d][%s]\n",
+                  ret, strerror(ret));
         goto fail;
     }
 
@@ -2982,7 +2982,7 @@ static void sdap_get_initgr_done(struct tevent_req *subreq)
 
     if (state->use_id_mapping) {
         DEBUG(SSSDBG_TRACE_LIBS,
-              ("Mapping primary group to unix ID\n"));
+              "Mapping primary group to unix ID\n");
 
         /* The primary group ID is just the RID part of the objectSID
          * of the group. Generate the GID by adding this to the domain
@@ -3003,7 +3003,7 @@ static void sdap_get_initgr_done(struct tevent_req *subreq)
                                                  &dom_sid_str);
         if (ret != EOK) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("Could not parse domain SID from [%s]\n", sid_str));
+                  "Could not parse domain SID from [%s]\n", sid_str);
             goto fail;
         }
 
@@ -3013,7 +3013,7 @@ static void sdap_get_initgr_done(struct tevent_req *subreq)
                 &primary_gid);
         if (ret != EOK) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("no primary group ID provided\n"));
+                  "no primary group ID provided\n");
             ret = EINVAL;
             goto fail;
         }
@@ -3035,7 +3035,7 @@ static void sdap_get_initgr_done(struct tevent_req *subreq)
         ret = sysdb_attrs_get_uint32_t(state->orig_user, SYSDB_GIDNUM,
                                        &primary_gid);
         if (ret != EOK) {
-            DEBUG(6, ("Could not find user's primary GID\n"));
+            DEBUG(6, "Could not find user's primary GID\n");
             goto fail;
         }
     }
@@ -3113,8 +3113,8 @@ static errno_t get_sysdb_grouplist_ex(TALLOC_CTX *mem_ctx,
                                     attrs, &msg);
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("Error searching user [%s] by name: [%s]\n",
-               name, strerror(ret)));
+              "Error searching user [%s] by name: [%s]\n",
+               name, strerror(ret));
         goto done;
     }
 
@@ -3148,8 +3148,8 @@ static errno_t get_sysdb_grouplist_ex(TALLOC_CTX *mem_ctx,
                                           &sysdb_grouplist[i]);
                 if (ret != EOK) {
                     DEBUG(SSSDBG_MINOR_FAILURE,
-                          ("Could not determine group name from [%s]: [%s]\n",
-                           (const char *)groups->values[i].data, strerror(ret)));
+                          "Could not determine group name from [%s]: [%s]\n",
+                           (const char *)groups->values[i].data, strerror(ret));
                     goto done;
                 }
             }
diff --git a/src/providers/ldap/sdap_async_initgroups_ad.c b/src/providers/ldap/sdap_async_initgroups_ad.c
index a0841a7..af60246 100644
--- a/src/providers/ldap/sdap_async_initgroups_ad.c
+++ b/src/providers/ldap/sdap_async_initgroups_ad.c
@@ -104,8 +104,8 @@ sdap_get_ad_match_rule_initgroups_send(TALLOC_CTX *mem_ctx,
                                &state->attrs, NULL);
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("Could not build attribute map: [%s]\n",
-               strerror(ret)));
+              "Could not build attribute map: [%s]\n",
+               strerror(ret));
         goto immediate;
     }
 
@@ -113,8 +113,8 @@ sdap_get_ad_match_rule_initgroups_send(TALLOC_CTX *mem_ctx,
     ret = sss_filter_sanitize(state, state->orig_dn, &sanitized_user_dn);
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("Could not sanitize user DN: %s\n",
-               strerror(ret)));
+              "Could not sanitize user DN: %s\n",
+               strerror(ret));
         goto immediate;
     }
 
@@ -140,8 +140,8 @@ sdap_get_ad_match_rule_initgroups_send(TALLOC_CTX *mem_ctx,
     ret = sdap_get_ad_match_rule_initgroups_next_base(req);
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("sdap_get_ad_match_rule_members_next_base failed: [%s]\n",
-               strerror(ret)));
+              "sdap_get_ad_match_rule_members_next_base failed: [%s]\n",
+               strerror(ret));
         goto immediate;
     }
 
@@ -170,8 +170,8 @@ sdap_get_ad_match_rule_initgroups_next_base(struct tevent_req *req)
     }
 
     DEBUG(SSSDBG_TRACE_FUNC,
-          ("Searching for groups with base [%s]\n",
-           state->search_bases[state->base_iter]->basedn));
+          "Searching for groups with base [%s]\n",
+           state->search_bases[state->base_iter]->basedn);
 
     subreq = sdap_get_generic_send(
             state, state->ev, state->opts, state->sh,
@@ -207,12 +207,12 @@ sdap_get_ad_match_rule_initgroups_step(struct tevent_req *subreq)
     talloc_zfree(subreq);
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("LDAP search failed: [%s]\n", strerror(ret)));
+              "LDAP search failed: [%s]\n", strerror(ret));
         goto error;
     }
 
     DEBUG(SSSDBG_TRACE_LIBS,
-          ("Search for users returned %zu results\n", count));
+          "Search for users returned %zu results\n", count);
 
     /* Add this batch of groups to the list */
     if (count > 0) {
@@ -249,7 +249,7 @@ sdap_get_ad_match_rule_initgroups_step(struct tevent_req *subreq)
 
     if (state->count == 0) {
         DEBUG(SSSDBG_TRACE_LIBS,
-              ("User is not a member of any group in the search bases\n"));
+              "User is not a member of any group in the search bases\n");
     }
 
     /* Get the current sysdb group list for this user
@@ -259,9 +259,9 @@ sdap_get_ad_match_rule_initgroups_step(struct tevent_req *subreq)
                               state->name, &sysdb_grouplist);
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("Could not get the list of groups for [%s] in the sysdb: "
+              "Could not get the list of groups for [%s] in the sysdb: "
                "[%s]\n",
-               state->name, strerror(ret)));
+               state->name, strerror(ret));
         goto error;
     }
 
@@ -279,8 +279,8 @@ sdap_get_ad_match_rule_initgroups_step(struct tevent_req *subreq)
                                    state->count);
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("Could not store groups for user [%s]: [%s]\n",
-               state->name, strerror(ret)));
+              "Could not store groups for user [%s]: [%s]\n",
+               state->name, strerror(ret));
         goto error;
     }
 
@@ -391,13 +391,13 @@ sdap_get_ad_tokengroups_initgroups_lookup_done(struct tevent_req *subreq)
     talloc_zfree(subreq);
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("LDAP search failed: [%s]\n", strerror(ret)));
+              "LDAP search failed: [%s]\n", strerror(ret));
         goto done;
     }
 
     if (user_count != 1) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("More than one result on a base search!\n"));
+              "More than one result on a base search!\n");
         ret = EINVAL;
         goto done;
     }
@@ -408,8 +408,8 @@ sdap_get_ad_tokengroups_initgroups_lookup_done(struct tevent_req *subreq)
     if (ret != EOK) {
         if (ret == ENOENT) {
             DEBUG(SSSDBG_TRACE_LIBS,
-                  ("No tokenGroups entries for [%s]\n",
-                   state->username));
+                  "No tokenGroups entries for [%s]\n",
+                   state->username);
             /* No groups in LDAP. We need to ensure that the
              * sysdb matches.
              */
@@ -425,8 +425,8 @@ sdap_get_ad_tokengroups_initgroups_lookup_done(struct tevent_req *subreq)
              */
         } else {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("Could not read tokenGroups attribute: [%s]\n",
-                   strerror(ret)));
+                  "Could not read tokenGroups attribute: [%s]\n",
+                   strerror(ret));
             goto done;
         }
     }
@@ -454,36 +454,36 @@ sdap_get_ad_tokengroups_initgroups_lookup_done(struct tevent_req *subreq)
                                         &sid_str);
         if (err != IDMAP_SUCCESS) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("Could not convert binary SID to string: [%s]. Skipping\n",
-                   idmap_error_string(err)));
+                  "Could not convert binary SID to string: [%s]. Skipping\n",
+                   idmap_error_string(err));
             continue;
         }
         DEBUG(SSSDBG_TRACE_LIBS,
-              ("Processing membership SID [%s]\n",
-               sid_str));
+              "Processing membership SID [%s]\n",
+               sid_str);
         ret = sdap_idmap_sid_to_unix(state->opts->idmap_ctx, sid_str,
                                      &gid);
         if (ret == ENOTSUP) {
-            DEBUG(SSSDBG_TRACE_FUNC, ("Skipping built-in object.\n"));
+            DEBUG(SSSDBG_TRACE_FUNC, "Skipping built-in object.\n");
             ret = EOK;
             continue;
         } else if (ret != EOK) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("Could not convert SID to GID: [%s]. Skipping\n",
-                   strerror(ret)));
+                  "Could not convert SID to GID: [%s]. Skipping\n",
+                   strerror(ret));
             continue;
         }
 
         group_domain = find_subdomain_by_sid(get_domains_head(state->domain),
                                                               sid_str);
         if (group_domain == NULL) {
-            DEBUG(SSSDBG_MINOR_FAILURE, ("Domain not found for SID %s\n",
-                                         sid_str));
+            DEBUG(SSSDBG_MINOR_FAILURE, "Domain not found for SID %s\n",
+                                         sid_str);
             continue;
         }
 
         DEBUG(SSSDBG_TRACE_LIBS,
-              ("Processing membership GID [%"SPRIgid"]\n", gid));
+              "Processing membership GID [%"SPRIgid"]\n", gid);
 
         /* Check whether this GID already exists in the sysdb */
         ret = sysdb_search_group_by_gid(tmp_ctx, group_domain->sysdb,
@@ -492,7 +492,7 @@ sdap_get_ad_tokengroups_initgroups_lookup_done(struct tevent_req *subreq)
             group_name = ldb_msg_find_attr_as_string(msg, SYSDB_NAME, NULL);
             if (!group_name) {
                 DEBUG(SSSDBG_MINOR_FAILURE,
-                      ("Could not retrieve group name from sysdb\n"));
+                      "Could not retrieve group name from sysdb\n");
                 ret = EINVAL;
                 goto done;
             }
@@ -510,29 +510,29 @@ sdap_get_ad_tokengroups_initgroups_lookup_done(struct tevent_req *subreq)
                                              NULL, sid_str, false, now);
             if (ret != EOK) {
                 DEBUG(SSSDBG_MINOR_FAILURE,
-                      ("Could not create incomplete group: [%s]\n",
-                       strerror(ret)));
+                      "Could not create incomplete group: [%s]\n",
+                       strerror(ret));
                 goto done;
             }
         } else {
             /* Unexpected error */
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("Could not look up group in sysdb: [%s]\n",
-                   strerror(ret)));
+                  "Could not look up group in sysdb: [%s]\n",
+                   strerror(ret));
             goto done;
         }
 
         group_ldb_dn = sysdb_group_dn(group_domain->sysdb, tmp_ctx,
                                       group_domain, group_name);
         if (group_ldb_dn == NULL) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("sysdb_group_dn() failed\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "sysdb_group_dn() failed\n");
             ret = ENOMEM;
             goto done;
         }
 
         group_str_dn = ldb_dn_get_linearized(group_ldb_dn);
         if (group_str_dn == NULL) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("ldb_dn_get_linearized() failed\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "ldb_dn_get_linearized() failed\n");
             ret = EINVAL;
             goto done;
         }
@@ -558,9 +558,9 @@ sdap_get_ad_tokengroups_initgroups_lookup_done(struct tevent_req *subreq)
                                  state->username, &sysdb_grouplist);
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("Could not get the list of groups for [%s] in the sysdb: "
+              "Could not get the list of groups for [%s] in the sysdb: "
                "[%s]\n",
-               state->username, strerror(ret)));
+               state->username, strerror(ret));
         goto done;
     }
 
@@ -572,23 +572,23 @@ sdap_get_ad_tokengroups_initgroups_lookup_done(struct tevent_req *subreq)
     if (ret != EOK) goto done;
 
     DEBUG(SSSDBG_TRACE_LIBS,
-          ("Updating memberships for [%s]\n", state->username));
+          "Updating memberships for [%s]\n", state->username);
     ret = sysdb_update_members_dn(state->sysdb, state->domain,
                                   state->username, SYSDB_MEMBER_USER,
                                   (const char *const *) add_groups,
                                   (const char *const *) del_groups);
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("Membership update failed [%d]: %s\n",
-               ret, strerror(ret)));
+              "Membership update failed [%d]: %s\n",
+               ret, strerror(ret));
         goto done;
     }
 
     ret = sysdb_transaction_commit(state->sysdb);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Could not commit transaction! [%s]\n",
-               strerror(ret)));
+              "Could not commit transaction! [%s]\n",
+               strerror(ret));
         goto done;
     }
     in_transaction = false;
@@ -597,8 +597,8 @@ done:
     if (in_transaction) {
         sret = sysdb_transaction_cancel(state->sysdb);
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Could not cancel transaction! [%s]\n",
-               strerror(sret)));
+              "Could not cancel transaction! [%s]\n",
+               strerror(sret));
     }
 
     if (ret == EOK) {
